Package com.salesforce.hyperdb.grpc

## Interface QueryResultParamOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `QueryResultParam`, `QueryResultParam.Builder`

    public interface QueryResultParamOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getChunkId()` `uint64 chunk_id = 3;`
`boolean` `getOmitSchema()` `bool omit_schema = 4;`
`OutputFormat` `getOutputFormat()` `.salesforce.hyperdb.grpc.v1.OutputFormat output_format = 2;`
`int` `getOutputFormatValue()` `.salesforce.hyperdb.grpc.v1.OutputFormat output_format = 2;`
`String` `getQueryId()` `string query_id = 1;`
`com.google.protobuf.ByteString` `getQueryIdBytes()` `string query_id = 1;`
`QueryResultParam.RequestedDataCase` `getRequestedDataCase()`
`RowRange` `getRowRange()` `.salesforce.hyperdb.grpc.v1.RowRange row_range = 5;`
`RowRangeOrBuilder` `getRowRangeOrBuilder()` `.salesforce.hyperdb.grpc.v1.RowRange row_range = 5;`
`boolean` `hasChunkId()` `uint64 chunk_id = 3;`
`boolean` `hasRowRange()` `.salesforce.hyperdb.grpc.v1.RowRange row_range = 5;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getQueryId

    String getQueryId()

`string query_id = 1;`

Returns:
  The queryId.

#### getQueryIdBytes

    com.google.protobuf.ByteString getQueryIdBytes()

`string query_id = 1;`

Returns:
  The bytes for queryId.

#### getOutputFormatValue

    int getOutputFormatValue()

`.salesforce.hyperdb.grpc.v1.OutputFormat output_format = 2;`

Returns:
  The enum numeric value on the wire for outputFormat.

#### getOutputFormat

    OutputFormat getOutputFormat()

`.salesforce.hyperdb.grpc.v1.OutputFormat output_format = 2;`

Returns:
  The outputFormat.

#### hasChunkId

    boolean hasChunkId()

`uint64 chunk_id = 3;`

Returns:
  Whether the chunkId field is set.

#### getChunkId

    long getChunkId()

`uint64 chunk_id = 3;`

Returns:
  The chunkId.

#### hasRowRange

    boolean hasRowRange()

`.salesforce.hyperdb.grpc.v1.RowRange row_range = 5;`

Returns:
  Whether the rowRange field is set.

#### getRowRange

    RowRange getRowRange()

`.salesforce.hyperdb.grpc.v1.RowRange row_range = 5;`

Returns:
  The rowRange.

#### getRowRangeOrBuilder

    RowRangeOrBuilder getRowRangeOrBuilder()

`.salesforce.hyperdb.grpc.v1.RowRange row_range = 5;`

#### getOmitSchema

    boolean getOmitSchema()

`bool omit_schema = 4;`

Returns:
  The omitSchema.

#### getRequestedDataCase

    QueryResultParam.RequestedDataCase getRequestedDataCase()